Skip to main content

Debian/Ubuntu Linux

caution

We do not support Linux systems that run on ARM processors due to being unsupported for some of our underlying packages.

Installing on Linux simply requires Python 3.8 or 3.9 and pip:

apt updateapt install python3.8 pip

Our recommendation is to install and use Bitfount in a virtual environment, see instructions on how to do this here.

Then you can use pip to install bitfount:

pip install bitfount

If you are planning on using the bitfount package with Jupyter Notebooks we recommend you install extra tutorial dependencies via bitfount[tutorials], which will make sure you are running compatible Jupyter dependencies.

pip install "bitfount[tutorials]"

Next Steps

Once you’ve installed Bitfount, the party who will provide the data for analysis must connect the data to a Pod. See For Data Custodians for detailed instructions.

If data is already connected to a Pod for analysis and you wish to train models on or query it, see For Data Scientists.